Bug 1922744

Summary: dist/host/bin/dump_syms crashes when building Firefox
Product: [Fedora] Fedora Reporter: Martin Stransky <stransky>
Component: firefoxAssignee: Gecko Maintainer <gecko-bugs-nobody>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: erack, gecko-bugs-nobody, jhorak, kai-engert-fedora, pjasicek, rhughes, rstrode, sandmann
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-06-07 21:49:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Martin Stransky 2021-01-31 08:56:44 UTC
Description of problem:

dist/host/bin/dump_syms crashes when building Firefox:

#0  dwarf2reader::ByteReader::ReadUnsignedLEB128 (len=<synthetic pointer>, buffer=0x7f4d2310d3b9 <error: Cannot access memory at address 0x7f4d2310d3b9>, this=0x7ffe8efb1720)
    at /home/komat/rpmbuild/BUILD/firefox-85.0/toolkit/crashreporter/google-breakpad/src/common/dwarf/bytereader-inl.h:95
#1  dwarf2reader::CompilationUnit::ReadAbbrevs (this=0x7ffe8efb1850) at /home/komat/rpmbuild/BUILD/firefox-85.0/toolkit/crashreporter/google-breakpad/src/common/dwarf/dwarf2reader.cc:125
#2  0x000000000042cd4b in dwarf2reader::CompilationUnit::Start (this=this@entry=0x7ffe8efb1850)
    at /home/komat/rpmbuild/BUILD/firefox-85.0/toolkit/crashreporter/google-breakpad/src/common/dwarf/dwarf2reader.cc:324
#3  0x000000000040d6aa in (anonymous namespace)::LoadDwarf<google_breakpad::ElfClass64> (module=0x1ac2200, handle_inter_cu_refs=<optimized out>, big_endian=false, 
    elf_header=<optimized out>, dwarf_filename="/home/komat/rpmbuild/BUILD/firefox-85.0/objdir/dist/bin/firefox")
    at /home/komat/rpmbuild/BUILD/firefox-85.0/toolkit/crashreporter/google-breakpad/src/common/linux/dump_symbols.cc:353
#4  (anonymous namespace)::LoadSymbols<google_breakpad::ElfClass64> (obj_file="/home/komat/rpmbuild/BUILD/firefox-85.0/objdir/dist/bin/firefox", big_endian=<optimized out>, 
    elf_header=0x7f4d0e5a4000, read_gnu_debug_link=<optimized out>, info=0x7ffe8efb1ab0, options=..., module=0x1ac2200)
    at /home/komat/rpmbuild/BUILD/firefox-85.0/toolkit/crashreporter/google-breakpad/src/common/linux/dump_symbols.cc:842
#5  0x000000000040de2d in (anonymous namespace)::ReadSymbolDataElfClass<google_breakpad::ElfClass64> (out_module=0x7ffe8efb1c08, options=..., debug_dirs=..., obj_os=..., 
    obj_filename="/home/komat/rpmbuild/BUILD/firefox-85.0/objdir/dist/bin/firefox", elf_header=0x7f4d0e5a4000) at /usr/include/c++/11/bits/stl_iterator.h:1006
#6  google_breakpad::ReadSymbolDataInternal (module=0x7ffe8efb1c08, options=..., debug_dirs=..., obj_os=..., obj_filename="/home/komat/rpmbuild/BUILD/firefox-85.0/objdir/dist/bin/firefox", 
    obj_file=0x7f4d0e5a4000 "\177ELF\002\001\001\003") at /home/komat/rpmbuild/BUILD/firefox-85.0/toolkit/crashreporter/google-breakpad/src/common/linux/dump_symbols.cc:1141
#7  google_breakpad::ReadSymbolDataInternal (obj_file=0x7f4d0e5a4000 "\177ELF\002\001\001\003", obj_filename="/home/komat/rpmbuild/BUILD/firefox-85.0/objdir/dist/bin/firefox", obj_os=..., 
    debug_dirs=..., options=..., module=0x7ffe8efb1c08) at /home/komat/rpmbuild/BUILD/firefox-85.0/toolkit/crashreporter/google-breakpad/src/common/linux/dump_symbols.cc:1123
#8  0x000000000040e5d9 in google_breakpad::ReadSymbolData (load_path=..., obj_file="/home/komat/rpmbuild/BUILD/firefox-85.0/objdir/dist/bin/firefox", obj_os="Linux", 
    debug_dirs=std::vector of length 0, capacity 0, options=..., module=0x7ffe8efb1c08)
    at /home/komat/rpmbuild/BUILD/firefox-85.0/toolkit/crashreporter/google-breakpad/src/common/linux/dump_symbols.cc:1219
#9  0x000000000040e608 in google_breakpad::WriteSymbolFile (load_path="/home/komat/rpmbuild/BUILD/firefox-85.0/objdir/dist/bin/firefox", 
    obj_file="/home/komat/rpmbuild/BUILD/firefox-85.0/objdir/dist/bin/firefox", obj_os="Linux", debug_dirs=std::vector of length 0, capacity 0, options=..., sym_stream=...)
    at /home/komat/rpmbuild/BUILD/firefox-85.0/toolkit/crashreporter/google-breakpad/src/common/linux/dump_symbols.cc:1156
#10 0x0000000000406c6e in main (argc=<optimized out>, argv=<optimized out>)
    at /home/komat/rpmbuild/BUILD/firefox-85.0/toolkit/crashreporter/google-breakpad/src/tools/linux/dump_syms/dump_syms.cc:129

Comment 1 Ben Cotton 2021-02-09 15:44:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 2 Ben Cotton 2022-05-12 15:24:24 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 3 Ben Cotton 2022-06-07 21:49:11 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.